using System;
using System.Net.Sockets;

internal sealed class Delegate321 : MulticastDelegate
{
	public extern AddressFamily Invoke(object object_0);

	public static AddressFamily smethod_0(object object_0, Delegate321 delegate321_1)
	{
		return delegate321_1(object_0);
	}

	public extern Delegate321(object object_0, IntPtr intptr_0);

	static Delegate321()
	{
		Class10.smethod_13(typeof(Delegate321).TypeHandle);
	}

	internal static Delegate321 delegate321_0;
}
